Page MenuHomeFreeBSD

www/node: pass LDFLAGS to host and target linker
ClosedPublic

Authored by bhughes on Feb 19 2019, 7:16 PM.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

bhughes created this revision.Feb 19 2019, 7:16 PM
bhughes retitled this revision from www/node: pass LDFLAGS to host and target linker The Node.js build system does not use LDFLAGS from the environment; these must be passed as LDFLAGS.host and LDFLAGS.target, as with LINK.* to www/node: pass LDFLAGS to host and target linker.Feb 19 2019, 7:17 PM
bhughes edited the summary of this revision. (Show Details)
pkubaj accepted this revision.Feb 20 2019, 8:14 AM

Builds fine on powerpc64.
Also backport it to www/node10 (needs the same treatment).

This revision is now accepted and ready to land.Feb 20 2019, 8:14 AM
bhughes updated this revision to Diff 54447.Feb 27 2019, 5:37 AM

Pass C*FLAGS and LDFLAGS to the host build

This revision now requires review to proceed.Feb 27 2019, 5:37 AM

The Node.js build system supports cross-compilation via node-gyp, which picks up CC, CXX, LINK, C*FLAGS, and LDFLAGS from the environment for the target build, but not for the host. We only need to set the environment variables for the "host" build in the node ports.

This revision was not accepted when it landed; it landed in state Needs Review.Mar 12 2019, 9:05 PM
This revision was automatically updated to reflect the committed changes.